# $Revision: 1.82 $, $Date: 2012/02/11 10:30:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Mason
Summary:	Mason Perl module - high-performance, dynamic web site authoring system
Summary(pl.UTF-8):	Moduł Perla Mason - wysokowydajny system do tworzenia dynamicznych stron WWW
Name:		perl-HTML-Mason
Version:	1.48
Release:	1
Epoch:		3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c0565e5d9d6917d562ed1e80dd737afd
URL:		http://www.masonhq.com/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.8
BuildRequires:	perl(Scalar::Util) >= 1.01
BuildRequires:	perl-CGI >= 2.46
BuildRequires:	perl-Cache-Cache >= 1.0
BuildRequires:	perl-Class-Container >= 0.07
BuildRequires:	perl-Exception-Class >= 1.14
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Log-Any
BuildRequires:	perl-Params-Validate >= 0.70
BuildRequires:	perl-Test-Deep
%endif
Requires:	perl(File::Spec) >= 0.8
Requires:	perl-Class-Container >= 0.07
Requires:	perl-Exception-Class >= 1.14
Requires:	perl-Params-Validate >= 0.70
Conflicts:	perl-Apache-Filter < 1.021
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Cache::Cache)' 'perl(HTML::Mason::Exceptions()' 'perl(HTML::Mason::MethodMaker(read_write)' 'perl(Apache)' 'perl(Apache::Constants)' 'perl(Apache::Request)'

%description
Mason is a tool for building, serving and managing large web sites.
Its features make it an ideal backend for high load sites serving
dynamic content, such as online newspapers or database driven
e-commerce sites.

%description -l pl.UTF-8
Mason jest narzędziem służącym do budowania i udostępniania dużych
serwisów WWW oraz do zarządzania nimi. Ze względu na swe możliwości,
jest idealną bazą dla dużych serwisów o dynamicznie generowanej
zawartości, np. gazet internetowych czy sklepów internetowych opartych
na bazach danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/MasonX

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/HTML/Mason/*.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf samples/README
cp -a {samples,eg} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv bin contrib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README UPGRADE CREDITS contrib
%attr(755,root,root) %{_bindir}/*.pl
%{perl_vendorlib}/Apache/Mason.pm
%{perl_vendorlib}/HTML/Mason.pm
%{perl_vendorlib}/HTML/Mason
%{_examplesdir}/%{name}-%{version}
# don't package bundle man page
%{_mandir}/man3/HTML*
%{perl_vendorlib}/MasonX

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Mason.spec,v $
Revision 1.82  2012/02/11 10:30:13  zbyniu
- up to 1.48

Revision 1.81  2012/01/25 09:46:26  zbyniu
- release 2

Revision 1.80  2011/10/26 11:53:44  paszczus
- updated to 1.47

Revision 1.79  2011/05/11 02:01:58  aredridel
- 1.45

Revision 1.78  2009/10/27 09:17:04  amateja
- added _noautoreq perl(Apache::Request)
- release 2

Revision 1.77  2009/09/14 13:47:11  amateja
- updated to 1.42

Revision 1.76  2008/12/01 13:56:20  arekm
- up to 1.40

Revision 1.75  2008-04-02 08:11:45  arekm
- up to 1.39

Revision 1.74  2007/09/11 07:43:45  arekm
- up to 1.37

Revision 1.73  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.72  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.71  2006/06/30 21:22:40  radek
- release 2: do not package Bundle::*

Revision 1.70  2006/06/06 09:43:15  arekm
- up to 1.33

Revision 1.69  2004/11/07 12:11:35  paladine
- updated to 1.28

Revision 1.68  2004/11/03 22:30:25  paladine
- formatting

Revision 1.67  2004/06/04 21:55:06  radek
- release 4: added %perl_vendorlib/MasonX directory

Revision 1.66  2004/06/04 21:18:22  radek
- (fixed previous log message)

Revision 1.65  2004/06/04 21:17:43  radek
- release 2

Revision 1.64  2004/06/04 21:17:12  radek
- noautoreq: perl(Apache) perl(Apache::Constants) (to allow mp2)

Revision 1.63  2004/05/06 18:09:40  ankry
- fixed perl-devel BR

Revision 1.62  2004/04/22 06:53:52  ankry
- license fixes and unification

Revision 1.61  2004/04/20 23:30:12  ankry
- ported to new bconds

Revision 1.60  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.59  2004/04/09 18:40:56  adamg
- updated to 1.26

Revision 1.58  2004/03/06 19:24:22  adamg
- updated to 1.25

Revision 1.57  2003/09/15 11:44:15  adamg
- updated to 1.23

Revision 1.56  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.55  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.54  2003/06/28 09:01:38  blues
- cosmetics

Revision 1.53  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.52  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/05/02 10:10:34  ankry
- fixed deps, cosmetics, rel.2

Revision 1.50  2003/05/02 09:01:10  radek
- version 1.20: enhancements and bugfixes

Revision 1.49  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.48  2003/03/13 00:02:43  ankry
- merge from RA-branch: updated to 1.19

Revision 1.47  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.46  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.45  2003/02/18 15:32:59  ankry
- massive attack: change CPAN URLs

Revision 1.44  2003/01/24 10:49:35  radek
- version 1.18 (nothing important, if you already have Exception::Class 1.09)

Revision 1.43  2003/01/18 03:11:12  radek
- version 1.17 (mostly bugfixes, some minor enhancements)
- incompatible change: "Removed the long deprecated and undocumented
  $comp->parent_comp method.  Use $comp->owner instead."

Revision 1.42  2002/12/13 19:30:45  radek
- version 1.16 (bugfixes, few minor code enhancements and improved
  documentation)
- this version can safely go to the ra-updates-general, so... STBR?

Revision 1.41  2002/10/14 10:47:16  radek
- version 1.15 (bugfixes)

Revision 1.40  2002/10/13 15:19:21  radek
- version 1.14 (bugfixes and backwards compatibility)
- provided informative summary
- updated BR's
- noautoreq: Cache::Cache, as README says

Revision 1.39  2002/08/26 10:14:18  radek
- version 1.13: bugfixes; STBR

Revision 1.38  2002/08/05 22:19:06  kloczek
- relelease 3.

Revision 1.37  2002/08/05 20:58:56  ankry
- modified pl translation, adapterized

Revision 1.36  2002/08/05 16:34:29  radek
- added conditional tests

Revision 1.35  2002/08/03 13:13:19  radek
- if someone wants to use without mod_perl, will know it's possible
- release 2, stbr

Revision 1.34  2002/07/26 11:41:03  radek
- version 1.1201, fixing very minor bugs and enhancing documentation
- fixed copyright information and Polish description

Revision 1.33  2002/07/24 16:48:41  radek
- version 1.12, fixing serious memory leaks
- removed html docs, it's in man pages
- removed tests, so BRs became unnecessary

Revision 1.32  2002/07/20 00:36:41  qboosh
- fixed permissions, release 3

Revision 1.31  2002/07/19 00:00:15  ankry
- translations, cleaning
- fixed attributes in %%{_examplesdir}
- removed *.pod files
- release 2

Revision 1.30  2002/07/15 12:01:34  qboosh
- use package names for non-ambiguous dependencies
- removed noautocompressdoc - *.html are not compressed by default

Revision 1.29  2002/07/15 08:02:50  depesz
- new version (1.11)
- STBR;
- SPEC by Radosław Zieliński

Revision 1.28  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.27  2002/05/15 15:08:59  zagrodzki
- epoch 2

Revision 1.26  2002/05/15 15:08:09  zagrodzki
- updated to 1.05
- patch1 obsoleted
- STBR

Revision 1.25  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:15:54  depesz
automatic: Source location unified, Relase Up

Revision 1.21  2002/02/10 15:26:49  depesz
adapterized

Revision 1.20  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/09/18 15:15:13  qboosh
- release 4: removed Bundle::* - we use rpm dependencies

Revision 1.18  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.17  2001/05/03 17:59:36  kloczek
- chenged BuildRequires from mod_perl to apache-mod_perl.

Revision 1.16  2001/04/17 23:03:50  baggins
- buildrequires perl-Params-Validate
- removed stupid tests from makefile

Revision 1.15  2001/04/17 12:10:12  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/04/04 15:35:50  mis
- autoupdated to 1.015

Revision 1.12  2001/03/29 07:51:00  mis
- autoupdated to 1.01

Revision 1.11  2001/02/20 17:01:01  mis
- updated to 1.0
- eliminated paths patch

Revision 1.10  2001/01/06 16:19:57  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:47:02  pius
- updated to 0.8

Revision 1.3  1999/11/14 00:50:06  pius
- added '%%include /usr/lib/rpm/macros.perl'
- fixed dependencies
- release++

Revision 1.2  1999/10/09 17:08:27  pius
- updated to 0.71
- modified BuildRequires
- small changes in %%files
- added perl-HTML-Mason-paths.patch

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
